"use strict";

import * as TileBorderManager from "../../Util/TileBorderManager.js";
import * as ExplosionManager  from "../../Util/Explosion/ExplosionManager.js";
import * as ScoreManager      from "../../Util/ScoreManager.js";
import * as GameField         from "../../Global/GameField.js";
import * as View              from "../../Util/View.js";

import { class_BlinkingText } from "../../Util/Class_BlinkingText.js";

const textBlinking_01 = new class_BlinkingText("Press 'esc' to continue", "20px Verdana", 35, 160);

export function handleGameTick()
{
	draw();
}

function draw()
{
	View.context.clearRect(0, 0, 500,350);
	GameField.render();
	TileBorderManager.render();
	ScoreManager.render();
	ExplosionManager.render();
	textBlinking_01.handleGameTick();
}
