"use strict";

import * as GlobalData  from "../../Global/GlobalData.js";
import * as Tools       from "../../Util/Tools.js";

const xOrg = 90;
const yOrg = 350;

const yOffset = 50;

export const xTextRowArray = [];
export const yTextRowArray = [];

const xStartArray = [];
const yStartArray = [];

const xEndArray = [];
const yEndArray = [];

let pointButtonStart, pointButtonEnd;

export function initTextRowCoords()
{
	let xTextRow = xOrg;
	let yTextRow = yOrg;

	for (let i = 0 ; i < GlobalData.STAGE_COUNT ; i++)
	{
		xTextRowArray.push(xTextRow);
		yTextRowArray.push(yTextRow);

		//---

		let xStart = xTextRow - 15;
		let yStart = yTextRow - 35;

		let xEnd = xStart + 370;
		let yEnd = yStart + 50;

		xStartArray.push(xStart);
		yStartArray.push(yStart);

		xEndArray.push(xEnd);
		yEndArray.push(yEnd);

		yTextRow += yOffset;
	}
}

export function initButtonCoords(pointStart, pointEnd)
{
	pointButtonStart = pointStart;
  pointButtonEnd   = pointEnd;
}

export function isButtonClicked(point)
{
	return Tools.isLocationWithinBounds(point, pointButtonStart, pointButtonEnd);
}
